/*

Program:    ADD_MIME wer. 1.0 FREEWARE Copyright (c) M.J.Nowakowski, 1997

            Program PMMail 1.92 po napotkaniu listu, w ktrego nagwku znajduj si
            wiersze:

            Content-Transfer-Encoding: 8bit
            Content-Type: text/plain; charset=ISO-8859-2

            natomiast brakuje wiersza

            Mime-Version: 1.0

            nie wywietla prawidowo polskich liter (zakadamy, e s one poprawnie zakodowane).

            Skrypt ADD_MIME poprawia bd dopisujc do nagwka listu brakujcy wiersz (poniewa
            niejsce wystapienia wiersza w nagwku nie ma znaczenia, wiersz ten jest dopisywany
            na pocztku pliku).

            Program naley zainstalowa jako filtr na przychodzc poczt. W tym celu trzeba
            w programie PMMail wykona nastpujce czynnoci:
            1. z menu programu wybrac polecenie Account|Utilities Settings;
            2. w oknie dialogowym wybra zakadk "Filters";
            3. klikniciem w przycisk [New] zainicjowa tworzenie nowego filtru;
            4. w polu "Description" poda nazw filtra i sprawdzi, czy zaznaczone jest pole
               wyboru [] Enabled;
            5. zaznaczy przecznik () Complex;
            6. w polu edycyjnym wpisa
                (header="Content-Transfer-Encoding: 8bit") &
                (header="Content-Type: text/plain; charset=ISO-8859-2") &
                ! (header="Mime-Version: 1")
            7. w grupie "Type" zaznaczy pole wyboru [] Incoming;
            8. w grupie "Actions" w najwyszej licie wybra pozycj "REXX exit (background)"
               a nastpnie w wywietlonym z prawej strony polu edycyjnym wpisa nazw pliku
               z niniejszym skryptem wraz z drog do zbioru, np. C:\SOUTHSDE\TOOLS\ADD_MIME.CMD;
            9. klikniciem w przycisk [OK] kolejno w oknie "Edit Filter" oraz "Utilities
               Settings" zakoczy tworzenie filtra.

Autor:      Mirosaw Jan Nowakowski
            ul. lska 68B/6
            80-389 Gdask
            e-mail: nowam@pg.gda.pl

Historia:   1997-10-02 - pierwsza wersja skryptu
*/

arg MailFile .

ok = STREAM(MailFile,'C','open')
if ok = 'READY:' then do
    call LINEOUT MailFile, "Mime-Version: 1.0"
    call STREAM MailFile, 'C', 'close'
end

